classification
Title: Link/Compile Error on Sun Sparc Solaris10 with gcc3.4.3----python2.6.8
Type: compile error Stage: resolved
Components: None Versions: Python 2.6
process
Status: closed Resolution: not a bug
Dependencies: Superseder:
Assigned To: Nosy List: Ramchandra Apte, berker.peksag, seeker77
Priority: normal Keywords:

Created on 2012-05-22 09:31 by seeker77, last changed 2016-04-30 14:58 by berker.peksag. This issue is now closed.

Messages (5)
msg161344 - (view) Author: Chang Xiaojiang (seeker77) Date: 2012-05-22 09:31
I download the source package of python2.6.8from http://www.python.org/getit/releases/2.6.8/, and start a build on my Sun Sparc Solaris10 with gcc3.4.3 which is preinstalled.But the following error logs are reported.
gcc -shared build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/_ctypes.o build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/callbacks.o build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/callproc.o build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/stgdict.o build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/cfield.o build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/malloc_closure.o build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/prep_cif.o build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/ffi.o build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v9.o -L/usr/local/lib -o build/lib.solaris-2.10-sun4u-2.6/_ctypes.so -mimpure-text
ld: 重大なエラー: 再配置エラー: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: シンボル <不明>: オフセット 0xfed638e7 が整列していません。
ld: 重大なエラー: 再配置エラー: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: シンボル <不明>: オフセット 0xfed638ed が整列していません。
ld: 重大なエラー: 再配置エラー: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: シンボル <不明>: オフセット 0xfed638f1 が整列していません。
ld: 重大なエラー: 再配置エラー: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: シンボル <不明>: オフセット 0xfed638f5 が整列していません。
ld: 重大なエラー: 再配置エラー: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: シンボル <不明>: オフセット 0xfed73d5a が整列していません。
ld: 重大なエラー: 再配置エラー: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: シンボル <不明>: オフセット 0xfed75dfe が整列していません。
collect2: ld returned 1 exit status

Failed to find the necessary bits to build these modules:
_bsddb             _sqlite3           _tkinter
bsddb185           gdbm               linuxaudiodev
ossaudiodev        readline
To find the necessary bits, look in setup.py in detect_modules() for the module's name.


Failed to build these modules:
_ctypes            _curses            _curses_panel
_hashlib           _ssl

running build_scripts

Anyone can tell me what's wrong?
From some website, I was told that this is caused by a fault of Solaris's gcc.To fix it, I need to recompile the gcc and reinstall it.But I donnot want to do so.Because it is a public server.
msg161349 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-05-22 13:14
Since most of the Python devs and I don't understand Chinese, can you please show the errors in English by compiling Python with LANG=C .
Thanks for the bug report.
msg161386 - (view) Author: Chang Xiaojiang (seeker77) Date: 2012-05-23 01:00
Oh, I ignored that. Sorry. The english version is as following:

----------------------------------------------------------------------
ld: fatal: relocation error:: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed638e7 is non-aligned.
ld: fatal: relocation error:: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed638ed is non-aligned.
ld: fatal: relocation error:: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed638f1 is non-aligned.
ld: fatal: relocation error:: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed638f5 is non-aligned.
ld: fatal: relocation error:: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed73d5a is non-aligned.
ld: fatal: relocation error:: R_SPARC_32: ファイル build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed75dfe is non-aligned.
----------------------------------------------------------------------
msg161387 - (view) Author: Chang Xiaojiang (seeker77) Date: 2012-05-23 01:03
A word is missed in last change. And the updated logs are as following.

ld: fatal: relocation error:: R_SPARC_32: file build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed638e7 is non-aligned.
ld: fatal: relocation error:: R_SPARC_32: file build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed638ed is non-aligned.
ld: fatal: relocation error:: R_SPARC_32: file build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed638f1 is non-aligned.
ld: fatal: relocation error:: R_SPARC_32: file build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed638f5 is non-aligned.
ld: fatal: relocation error:: R_SPARC_32: file build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed73d5a is non-aligned.
ld: fatal: relocation error:: R_SPARC_32: file build/temp.solaris-2.10-sun4u-2.6/export/diskArray/changxiaojiang/Mercurial/python-src/Python-2.6.8/Modules/_ctypes/libffi/src/sparc/v8.o: symbol <unknown>: : offset 0xfed75dfe is non-aligned.
msg264560 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-04-30 14:58
> From some website, I was told that this is caused by a fault of Solaris's gcc.

Closing as 'not a bug' since this isn't an issue with Python. Also, 2.6 is now EOL.
History
Date User Action Args
2016-04-30 14:58:54berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg264560

resolution: not a bug
stage: resolved
2012-05-23 01:03:32seeker77setmessages: + msg161387
2012-05-23 01:00:23seeker77setmessages: + msg161386
2012-05-22 13:14:36Ramchandra Aptesetnosy: + Ramchandra Apte
messages: + msg161349
2012-05-22 09:31:44seeker77create